<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Payment;
use App\Models\Setting;
use App\Models\TempUser;

class AdminController extends Controller
{
    public function index()
    {
        $settingData = Setting::select('value_data')->where('value_label', 'TICKET_LIMIT')->first();
        $ticketLimit = $settingData->value_data;
        $today = date('Y-m-d');
        $tempTodayPurchaseCount = TempUser::whereDate('purchase_date', '=', $today)->count();
        $purchaseCount = Payment::where('status', '!=', '2')->whereDate('register_date', '=', $today)->count();
        $totalUseT = $purchaseCount + $tempTodayPurchaseCount;
        $availableTickets = ($ticketLimit - $totalUseT);
        $totalPayment = Payment::count();
        $todayPayment = Payment::where('status', '!=', '2')->whereDate('register_date', '=', $today)->count();

        return view('admin.index', compact('availableTickets', 'totalPayment', 'todayPayment', 'tempTodayPurchaseCount'));
    }
}
