<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Payment;
use App\Models\Setting;
use App\Models\TempUser;
use App\Models\User;
use Hash;
use Illuminate\Http\Request;

class ProfileController extends Controller
{
    public function index()
    {
        $settingData = Setting::select('value_data')->where('value_label', 'TICKET_LIMIT')->first();
        $ticketLimit = $settingData->value_data;
        $today = date('Y-m-d');
        $tempTodayPurchaseCount = TempUser::whereDate('purchase_date', '=', $today)->count();
        $purchaseCount = Payment::where('status', '!=', '2')->whereDate('register_date', '=', $today)->count();
        $purchaseallcount = $purchaseCount + $tempTodayPurchaseCount;
        $todayAvailableTickets = ($ticketLimit - $purchaseallcount);

        return view('user.profile', compact('ticketLimit', 'todayAvailableTickets'));
    }

    public function update(Request $request, User $user)
    {
        if ($request->password) {
            $password = Hash::make($request->password);
        } else {
            $password = $request->old_password;
        }

        $request->request->add(['password' => $password]);
        $user->update($request->all());

        return back()->with('success', 'Proflie updated successfully');
    }

    public function settingUpdate(Request $request)
    {
        //dd($request->get('ticket_limit'));
        $ticketLimit = $request->get('ticket_limit');
        Setting::where('value_label', 'TICKET_LIMIT')
      ->update(['value_data' => $ticketLimit]);

        return back()->with('success', 'Setting updated successfully');
    }
}
