<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\User;
use App\Models\Payment;

class UserWallet extends Model
{
    
    protected $table = 'user_wallet';
    protected $fillable = ['user_id', 'amount', 'payment_id','referral_user_id', 'date', 'payment_type','is_updated','status'];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [];


    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function referralUser()
    {
        return $this->belongsTo(User::class,'referral_user_id','id');
    }

    public function payment()
    {
        return $this->belongsTo(Payment::class);
    }
}
