<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePaymentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('payments', function (Blueprint $table) {
            $table->id();
            $table->string('ticket_id');
            $table->string('fullname');
            $table->string('mobile');
            $table->string('sponsor_id');
            $table->string('sponsor_name');
            $table->string('state');
            $table->string('city');
            $table->string('pin_code');
            $table->string('payment_mode');
            $table->string('bank');
            $table->string('account_number');
            $table->string('ifsc_code');
            $table->string('account_holder_name');
            $table->string('payment_image');
            $table->dateTime('register_date');
            $table->enum('status', [0, 1, 2])->default(0);
            $table->date('first_payment_date');
            $table->enum('first_payment_status', [0, 1, 2])->default(0);
            $table->date('second_payment_date');
            $table->enum('second_payment_status', [0, 1, 2])->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('payments');
    }
}
