
/* purchase ticket validation */
function skipQrcode() {
    $(".userForm").show();
    $("#QrCodeDiv").hide();
    $("form[name='registrationForm']").validate({
        rules: {
            agree_policy: "required",
            payment_schreenshot: "required"
        },
        messages: {
            agree_policy: "Please agree to the privacy policy",
            payment_schreenshot: "Please add your payment schreenshot"
        },
        submitHandler: function (form) {
            form.submit();
            $("#registrationButton").hide();
            $("#pleaseWaitMsg").show();
        }
    });
}

function goBack() {
    $(".userForm").hide();
    $("#QrCodeDiv").show();
}

function readURL(input) {
    $('#imagePre').show();
    if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function (e) {
            $('#imagePre').attr('src', e.target.result);
        }
        reader.readAsDataURL(input.files[0]);
    }
}

/* login validation */
$("form[name='loginForm']").validate({
    rules: {
        mobile: {
            required: true,
            number: true,
            minlength: 10,
            maxlength: 10
        },
        password: {
            minlength: 5,
            required: true
        }
    },
    messages: {
        mobile: {
            required: "Please enter mobile number",
            minlength: "Your number must be at least 10 characters long",
            maxlength: "Your number must be at least 10 characters long",
            number: "Please enter valid mobile number"
        },
        password: {
            minlength: "Your account number must be at least 5 characters long",
            required: "Please enter account number"
        }
    },
    submitHandler: function (form) {
        form.submit();
        $("#loginBtn").hide();
        $("#pleaseWaitMsg").show();
    }

});

/* register validation */
$("form[name='registerUserForm']").validate({
    rules: {
        fullname: "required",
        // mobile: {
        //     required: true,
        //     number: true,
        //     minlength: 10,
        //     maxlength: 10
        // },
        mobile: {
            required: true,
            number: true,
            minlength: 10,
            maxlength: 10,
            // remote: {
            //     url: '/mobilenumber-check/',
            //     type: 'POST',
            //     dataType: 'json',
            //     headers: {
            //         'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            //     },
            //     data: {
            //         mobile: function() {
            //             return $('#mobile').val();
            //         }
            //     },
            // }
        },
        referral_code: {
            minlength: 6,
            maxlength: 8
        },
        password: {
            minlength: 5,
            required: true
        },
        confirm_password: {
            minlength: 5,
            required: true,
            equalTo: "#password"
        },
        agree_policy: "required"
    },
    messages: {
        fullname: "Please enter your full name",
        mobile: {
            required: "Please enter mobile number",
            minlength: "Your number must be 10 characters",
            maxlength: "Your number must be 10 characters",
            number: "Please enter valid mobile number",
            //  remote:"Number already exist"
        },
        referral_code: {
            minlength: "Your referral code must be at least 6 characters long",
            maxlength: "Your referral code be max 6 characters long"
        },
        password: {
            minlength: "Your password must be at least 5 characters long",
            required: "Please enter password"
        },
        confirm_password: {
            minlength: "Your confirm password must be at least 5 characters long",
            required: "Please enter confirm password",
            equalTo: "confirm password and password not match"
        },
        agree_policy: "Please agree to the privacy policy"
    },
    submitHandler: function (form) {
        form.submit();
        $("#registerBtn").hide();
        $("#pleaseWaitMsg").show();
    }
});



/* otp verify form validation */
$("form[name='mobileOtpForm']").validate({
    rules: {
        otp: {
            required: true,
            minlength: 6,
            maxlength: 8,
        }
    },
    messages: {
        otp: {
            required: "Please enter OTP",
            minlength: "Your OTP should be between 6 to 8 characters long",
            maxlength: "Your OTP should be between 6 to 8 characters long"
        }
    },
    submitHandler: function (form) {
        form.submit();
        $("#otpBtn").hide();
        $("#pleaseWaitMsg").show();
    }

});



/* profile validation */
$("form[name='profileForm']").validate({
    rules: {
        name: "required",
        bank_name: "required",
        account_holder_name: {
            required: true,
            minlength: 3,
        },
        ifsc_code: {
            required: true,
            minlength: 5
        },
        account_number: {
            minlength: 5,
            required: true
        },
        re_account_number: {
            minlength: 5,
            required: true,
            equalTo: "#account_number"
        }
    },
    messages: {
        name: "Please enter your name",
        bank_name: "Please enter bank name",
        account_holder_name: {
            required: "Please enter account holder name",
            minlength: "Account holder name must be at least 3 characters long"
        },
        ifsc_code: {
            minlength: "Your IFSC code must be at least 5 characters long",
            required: "Please enter IFSC code"
        },
        account_number: {
            minlength: "Your account number must be at least 5 characters long",
            required: "Please enter account number"
        },
        re_account_number: {
            minlength: "Your re account number must be at least 5 characters long",
            required: "Please enter re account number",
            equalTo: "re account number and account number not match"
        }
    },
    submitHandler: function (form) {
        form.submit();
        $("#profileBtn").hide();
        $("#pleaseWaitMsg").show();
    }
});



/* change password validation */
$("form[name='changePasswordForm']").validate({
    rules: {
        old_password: "required",
        password: {
            minlength: 5,
            required: true
        },
        confirm_password: {
            minlength: 5,
            required: true,
            equalTo: "#password"
        }
    },
    messages: {
        old_password: "Please enter your old password",
        password: {
            minlength: "Your password must be at least 5 characters long",
            required: "Please enter password"
        },
        confirm_password: {
            minlength: "Your confirm password must be at least 5 characters long",
            required: "Please enter confirm password",
            equalTo: "confirm password is not match with your password"
        }
    },
    submitHandler: function (form) {
        form.submit();
        $("#changePassBtn").hide();
        $("#pleaseWaitMsg").show();
    }
});



/* request validation */
$("form[name='requestAmountForm']").validate({
    rules: {
        amount: {
            required: true,
            number: true,
        }
    },
    messages: {
        amount: {
            required: "Please enter amount",
            number: "Please enter only number",
        }
    },
    submitHandler: function (form) {
        form.submit();
        $("#requestAmountBtn").hide();
        $("#pleaseWaitMsg").show();
    }
});



/* otp verify form validation */
$("form[name='forgotPasswordForm']").validate({
    rules: {
        mobile: {
            required: true,
            number: true,
            minlength: 10,
            maxlength: 10
        }
    },
    messages: {
        mobile: {
            required: "Please enter mobile number",
            minlength: "Your number must be at least 10 characters long",
            maxlength: "Your number must be at least 10 characters long",
            number: "Please enter valid mobile number"
        }
    },
    submitHandler: function (form) {
        form.submit();
        $("#forgotBtn").hide();
        $("#pleaseWaitMsg").show();
    }

});


/* otp verify form validation */
$("form[name='restPasswordForm']").validate({
    rules: {
        otp: {
            required: true,
            minlength: 6,
            maxlength: 8,
        },
        password: {
            minlength: 5,
            required: true
        },
        confirm_password: {
            minlength: 5,
            required: true,
            equalTo: "#password"
        },
    },
    messages: {
        otp: {
            required: "Please enter OTP",
            minlength: "Your OTP should be between 6 to 8 characters long",
            maxlength: "Your OTP should be between 6 to 8 characters long"
        },
        password: {
            minlength: "Your password must be at least 5 characters long",
            required: "Please enter password"
        },
        confirm_password: {
            minlength: "Your confirm password must be at least 5 characters long",
            required: "Please enter confirm password",
            equalTo: "confirm password and password not match"
        },
    },
    submitHandler: function (form) {
        form.submit();
        $("#resetBtn").hide();
        $("#pleaseWaitMsg").show();
    }

});



/* request validation */
$("form[name='addWalletAmountForm']").validate({
    rules: {
        amount: {
            required: true,
            number: true,
        },
        payment_schreenshot:"required"
    },
    messages: {
        amount: {
            required: "Please enter amount",
            number: "Please enter only number",
        },
        payment_schreenshot:"Please add your payment schreenshot"
    },
    submitHandler: function (form) {
        form.submit();
        $("#addWalletAmountBtn").hide();
        $("#pleaseWaitMsg").show();
    }
});


$("#purchaseByWalletForm").submit(function (event) {
    event.preventDefault();
    $("#purchaseByWalletBtn").hide();
    $("#pleaseWaitMsg").show();
    var purchasePinByWalletUrl = $("#purchasePinByWalletUrl").val();
    $.ajax({
        url: purchasePinByWalletUrl,
        type:"GET",
        success:function(response){
          console.log(response);
          $("#purchasePinMainDiv").hide();
          $("#purchasePinThankYouDiv").show();
          $(".thankyou-txt").html(response.msg);
        },
        error: function(response) {
            alert("Please try again after sometime.");
         }
    });
       //$("#purchaseByWalletForm").submit();
});
    
