@extends('layout.backend.app',[
    'title' => 'Manage Payment',
    'pageTitle' =>'Manage Payment',
])

@push('css')
<link href="{{ asset('template/backend/sb-admin-2') }}/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
@endpush

@section('content')
<div class="notify"></div>

<div class="card">
    <div class="card-header">
        
    </div>
        <div class="card-body">
            <div class="table-responsive">    
                <table class="table table-bordered data-table" style="font-size: small;">
                    <thead>
                        <tr>
                            <th>No</th>
                            <!-- <th>Ticket ID</th> -->
                            <th>Fullname</th>
                            <th>Mobile</th>
                            <th>Payment Type</th>
                            <th>Regsteration Date</th>
                            <th>First EMI Date</th>
                            <th>Second EMI Date</th>
                            <th>Status</th>
                            <th>Payment Status</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                    </tbody>
                </table>
            </div>
        </div>
</div>

<!-- Modal Edit -->
<div class="modal fade" id="view-modal" tabindex="-1" role="dialog" aria-labelledby="edit-modalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document" style="max-width: 800px;">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="edit-modalLabel">View Data</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="editForm">
        <div class="form-group">
            <table  class="table">
               <tr>
                 <td>Ticket ID: </td>
                 <td><div id="ticketId"></div></td>
              </tr>
              <tr>
                 <td>Full Name: </td>
                 <td><div id="fullname"></div></td>
              </tr>
              <tr>
                 <td>Mobile Number: </td>
                 <td><div id="mobile"></div></td>
              </tr>
              <!-- <tr>
                 <td>Sponsor ID: </td>
                 <td><div id="sponsor_id"></div></td>
              </tr>
              <tr>
                 <td>Sponsor Name: </td>
                 <td><div id="sponsor_name"></div></td>
              </tr>
              <tr>
                 <td>State: </td>
                 <td><div id="state"></div></td>
              </tr>
              <tr>
                 <td>City: </td>
                 <td><div id="city"></div></td>
              </tr>
              <tr>
                 <td>Pin Code: </td>
                 <td><div id="pin_code"></div></td>
              </tr> -->
              <tr>
                 <td>Payment Mode: </td>
                 <td><div id="payment_mode"></div></td>
              </tr>
              <tr>
                 <td>Payment Screenshot: </td>
                 <td>
                  <img src="" id="payment_image" width="300"/><br/>
                  <a href="" id="payment_image_link" target="_blank" >Click To Open</a>
                 </td>
              </tr>
              <tr>
                 <td>Bank: </td>
                 <td><div id="bank"></div></td>
              </tr>
              <tr>
                 <td>Account Number: </td>
                 <td><div id="account_number"></div></td>
              </tr>
              <tr>
                 <td>IFSC Code: </td>
                 <td><div id="ifsc_code"></div></td>
              </tr>
              <tr>
                 <td>Account Holder Name: </td>
                 <td><div id="account_holder_name"></div></td>
              </tr>
              <tr>
                 <td>Register Date: </td>
                 <td>
                  <div id="register_date"></div>
                  <div id="register_icon"></div>
                 </td>
              </tr>
              <tr>
                 <td>First Payment Date: </td>
                 <td>
                 <div id="first_payment_date"></div>
                 <div id="first_payment_icon"></div>
                 </td>
              </tr>
              <tr>
                 <td>Second Payment Date: </td>
                 <td>
                 <div id="second_payment_date"></div>
                 <div id="second_payment_icon"></div>
                 </td>
              </tr>
            </table>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </form>
      </div>
    </div>
  </div>
</div>
<!-- Modal Edit -->

@stop

@push('js')
<script src="{{ asset('template/backend/sb-admin-2') }}/vendor/datatables/jquery.dataTables.min.js"></script>
<script src="{{ asset('template/backend/sb-admin-2') }}/vendor/datatables/dataTables.bootstrap4.min.js"></script>
<script src="{{ asset('template/backend/sb-admin-2') }}/js/demo/datatables-demo.js"></script>
<script src="{{ asset('template/backend/sb-admin-2') }}/js/moment.min.js"></script>

<script type="text/javascript">


  $(function () {
    var table = $('.data-table').DataTable({
          ordering: true,
          searching: true,
          ajax: "{{ route('payment-list') }}",
          columns: [
              {data: 'DT_RowIndex' , name: 'id'},
              //{data: 'ticket_id', name: 'ticket_id'},
              {data: 'fullname', name: 'fullname'},
              {data: 'mobile', name: 'mobile'},
              {data: 'payment_type', name: 'payment_type'},
              {data: 'register_date', name: 'register_date'},
              {data: 'first_payment_date', name: 'first_payment_date'},
              {data: 'second_payment_date', name: 'second_payment_date'},
              {data: 'status', name: 'status', orderable: false, searchable: true},
              {data: 'payment', name: 'payment', orderable: false, searchable: true},
              {data: 'action', name: 'action', orderable: false, searchable: true},
          ]
    });
  });


    // Reset Form
        function resetForm(){
            $("[name='name']").val("")
            $("[name='email']").val("")
            $("[name='password']").val("")
        }

   
    $('body').on("click",".btn-view",function(){
        var id = $(this).attr("id")
        $.ajax({
            url: "/user/payment-view/"+id,
            method: "GET",
            success:function(response){
                $("#view-modal").modal("show")
                $("#ticketId").html(response.ticket_id);
                $("#fullname").html(response.user.name);
                $("#mobile").html(response.user.mobile);
                // $("#state").html(response.state);
                // $("#city").html(response.city);
                // $("#pin_code").html(response.pin_code);
                $("#payment_mode").html(response.payment_mode );
                $("#bank").html(response.user.bank_name);
                $("#account_number").html(response.user.account_number);
                $("#ifsc_code").html(response.user.ifsc_code);
                $("#account_holder_name").html(response.user.account_holder_name);
                
               

                var imagePath = "{{ asset('uploads/payment') }}/"+response.payment_image;
                $('#payment_image').attr('src',imagePath);
                $('#payment_image_link').attr('href',imagePath);

                var registerBtnIcon = '';
                var firstPaymentIcon = '';
                var secondPaymentIcon = '';
                if(response.status == 1) {
                  var registerBtnIcon = '<i class="fas fa-check">';
                } else if(response.status == 2) {
                  var registerBtnIcon = '<i class="fas fa-trash">';
                } else {
                  var registerBtnIcon = '<i class="fas fa-exclamation-triangle"></i>';
                }
                if(response.first_payment_status == 1) {
                  var firstPaymentIcon = '<i class="fas fa-check">';
                } else {
                  var firstPaymentIcon = '<i class="fas fa-exclamation-triangle"></i>';
                }
                if(response.second_payment_status == 1) {
                  var secondPaymentIcon = '<i class="fas fa-check">';
                } else {
                  var secondPaymentIcon = '<i class="fas fa-exclamation-triangle"></i>';
                }
                $("#register_date").html(moment(response.register_date).format('DD-MM-YYYY h:m A') + ' ' +registerBtnIcon);
                $("#first_payment_date").html(moment(response.first_payment_date).format('DD-MM-YYYY') + ' ' +firstPaymentIcon);
                $("#second_payment_date").html(moment(response.second_payment_date).format('DD-MM-YYYY') + ' ' +secondPaymentIcon);

            }
        })
    });



    $('body').on("click",".btn-status",function(){
        var id = $(this).attr("id");
        var column = $(this).attr("column");
        var value = $(this).attr("value");
        if(confirm("Are sure you ?")){
          $.ajax({
            url: "/user/update-payment-status/"+id+"/"+column+"/"+value,
            method: "GET",
            success:function(response){
              if(response.status){
                if(column == 'status'){
                  if(value == 1){
                    var statusHtml = '<a href="javascript:void(0)" class="btn btn-success btn-sm ml-2">Approved</a>';
                  } else {
                    var statusHtml = '<a href="javascript:void(0)" class="btn btn-danger btn-sm ml-2">Rejected</a>';
                  }
                  $(".btn-status-div-"+id).html(statusHtml);
                } else if(column == 'first_payment_status'){
                  var statusHtml = '<a href="javascript:void(0)" id="'+id+'" column="second_payment_status" value="1" class="btn btn-primary btn-sm ml-2 btn-status" disabled>Pay Second EMI</a>';
                  $(".btn-payment-div-"+id).html(statusHtml);
                }else if(column == 'second_payment_status'){
                  var statusHtml = '<a href="javascript:void(0)" class="btn btn-success btn-sm ml-2">Payment Done</a>';
                  $(".btn-payment-div-"+id).html(statusHtml);
                }
                flash('success',response.msg);
              } else {
                flash('error',response.msg);
              }
            }
        });
        }
        
    });


    function flash(type,message){
        $(".notify").html(`<div class="alert alert-`+type+` alert-dismissible fade show" role="alert">
                              `+message+`
                              <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                              </button>
                            </div>`)
    }

</script>
@endpush